org.jboss.shrinkwrap.descriptor.api.j2ee14

## Interface ListenerType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ListenerType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `listenerType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IconType<ListenerType<T>>` | `createIcon()` Creates a new `icon` element
    `ListenerType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `ListenerType<T>` | `displayName(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.util.List<java.lang.String>` | `getAllDisplayName()` Returns all `display-name` elements
    `java.util.List<IconType<ListenerType<T>>>` | `getAllIcon()` Returns all `icon` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getListenerClass()` Returns the `listener-class` element
    `IconType<ListenerType<T>>` | `getOrCreateIcon()` If not already created, a new `icon` element will be created and returned.
    `ListenerType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `ListenerType<T>` | `listenerClass(java.lang.String listenerClass)` Sets the `listener-class` element
    `ListenerType<T>` | `removeAllDescription()` Removes the `description` element
    `ListenerType<T>` | `removeAllDisplayName()` Removes the `display-name` element
    `ListenerType<T>` | `removeAllIcon()` Removes all `icon` elements
    `ListenerType<T>` | `removeId()` Removes the `id` attribute
    `ListenerType<T>` | `removeListenerClass()` Removes the `listener-class` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### description

          ListenerType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `ListenerType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          ListenerType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `ListenerType`

    - #### displayName

          ListenerType<T> displayName(java.lang.String... values)

      Creates for all String objects representing `display-name` elements, a new `display-name` element
      Parameters:
        `values` - list of `display-name` objects
      Returns:
        the current instance of `ListenerType`

    - #### getAllDisplayName

          java.util.List<java.lang.String> getAllDisplayName()

      Returns all `display-name` elements
      Returns:
        list of `display-name`

    - #### removeAllDisplayName

          ListenerType<T> removeAllDisplayName()

      Removes the `display-name` element
      Returns:
        the current instance of `ListenerType`

    - #### getOrCreateIcon

          IconType<ListenerType<T>> getOrCreateIcon()

      If not already created, a new `icon` element will be created and returned. Otherwise, the first existing `icon` element will be returned.
      Returns:
        the instance defined for the element `icon`

    - #### createIcon

          IconType<ListenerType<T>> createIcon()

      Creates a new `icon` element
      Returns:
        the new created instance of `IconType>`

    - #### getAllIcon

          java.util.List<IconType<ListenerType<T>>> getAllIcon()

      Returns all `icon` elements
      Returns:
        list of `icon`

    - #### removeAllIcon

          ListenerType<T> removeAllIcon()

      Removes all `icon` elements
      Returns:
        the current instance of `IconType>`

    - #### listenerClass

          ListenerType<T> listenerClass(java.lang.String listenerClass)

      Sets the `listener-class` element
      Parameters:
        `listenerClass` - the value for the element `listener-class`
      Returns:
        the current instance of `ListenerType`

    - #### getListenerClass

          java.lang.String getListenerClass()

      Returns the `listener-class` element
      Returns:
        the node defined for the element `listener-class`

    - #### removeListenerClass

          ListenerType<T> removeListenerClass()

      Removes the `listener-class` element
      Returns:
        the current instance of `ListenerType`

    - #### id

          ListenerType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `ListenerType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          ListenerType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `ListenerType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)